services:
  tdengine:
    container_name: ${CONTAINER_NAME}
    image: tdengine/tsdb:3.4.0.9
    hostname: tdengine-server
    volumes:
      - ./data:/var/lib/taos
      - ./log:/var/log/taos
    ports:
      - ${Taosc_PORT}:6030
      - ${TD_GPT_PORT}:6035
      - ${RESTFul_WebSocket_PORT}:6041
      - ${MAPPING_PORT}:6043-6049
      - ${MAPPING_PORT}:6043-6049/udp
      - ${taosX_REST_API_PORT}:6050
      - ${taosX_gRPC_PORT}:6055
      - ${PANEL_APP_PORT_HTTP}:6060
    networks:
      - opsmind-network
    labels:
      createdBy: "Apps"

networks:
  opsmind-network:
    external: true